GET /v1/pipedream/apps
List available Pipedream apps/integrations

Query Parameters

q string optional query
Search query to filter apps

Responses

200 OK
application/json
code integer
data object[]
Array of:
authType string
categories string[]
Array of:
description string
id string
imgSrc string
name string
nameSlug string
message string
requestId string
400 Bad Request
503 Service Unavailable
curl -X GET 'https://api.example.com/v1/pipedream/apps' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/pipedream/apps', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/pipedream/apps', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/pipedream/apps", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": [    {      "authType": "<string>",      "categories": [        "<string>"      ],      "description": "<string>",      "id": "<string>",      "imgSrc": "<string>",      "name": "<string>",      "nameSlug": "<string>"    }  ],  "message": "success",  "requestId": "abc-123"}